<?php
include "../../inc/inc.koneksi.php";

$tgl	= $_POST[tanggal];
$thn	= substr($tgl,0,4);
$bln	= substr($tgl,5,2);
$thn1	= (int) $thn-2000;

$sql 	= mysql_query("SELECT max(kode_ls) as no_akhir FROM penguapan WHERE year(tanggal)='$thn' AND month(tanggal)='$bln' ORDER BY kode_ls");
$row	= mysql_num_rows($sql);

if ($row>0){	
	$data=mysql_fetch_array($sql);	
	$no = $data['no_akhir'];
	$no_akhir = (int) substr($no, 7, 2);
	$no_akhir++;
	$data['nomor'] 	= 'LOS'.sprintf("%02s",$thn1).$bln.sprintf("%02s",$no_akhir);
	$data['tanggal'] 	= $tgl;
	echo json_encode($data);
}else{
	$data['nomor'] 	= 'LOS'.sprintf("%02s",$thn1).$bln.'01';
	$data['tanggal'] = $tgl;
	echo json_encode($data);
}
?>